Subject: bug#41766: Make it possible to change regexp to identify and highlight grep matches via customization

From: Juri Linkov <[email-masked]>
Date: Thu, 11 Jun 2020 00:52:28 +0300

> I now something to the manual, NEWS and changed the doc string + commit msg
> as advised. I decided on defcustom in the end because this way it is easy
> for the user to figure out what goes wrong in case he/she modifies
> grep-command and highlighting is missing. Hope that is fine.

In the long run what should be customizable is not escape sequences,
but a choice of the grep program with a list of such options:

  "GNU grep"
  "ripgrep"
  ...

i.e. the same customization as for the selection of the web browser
in browse-url.el.